


import {
    BigNumber,
    BytesLike,
    ContractTransaction,
    utils,
    constants,
  } from "ethers";

/**
 * 
 * @param {*} tokens 
 * @param {*} ids 
 * @param {*} amounts 
 * @param {*} ercs 
 * @param {*} lock 
 * @returns 
 */
export function getHash(
    tokens,
    ids,
    amounts,
    ercs,
    lock
  ) {
    let encode = utils.defaultAbiCoder.encode(
      ["address[]", "uint256[]", "uint256[]", "uint256[]", "bool"],
      [tokens, ids, amounts, ercs, lock]
    );
    return utils.keccak256(encode);
  }


  export function BN(n) {
     return BigNumber.from(n);
  }
  